## ofxstatement-plugins 20160817

=== debian/changelog ===
ofxstatement-plugins (20160817) unstable; urgency=medium

  * Add ofxstatement-be-kbc plugin.
  * ofxstatement-latvian updated (license fixup).

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 17 Aug 2016 15:10:54 +0300

ofxstatement-plugins (20160725) unstable; urgency=low

  * Initial release (Closes: #831802).

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 25 Jul 2016 10:47:03 +0300

## ofxstatement-plugins 20161204

=== ofxstatement-iso20022/Makefile ===
BIN=.venv/bin
PYTHON=$(BIN)/python
PIP=$(BIN)/pip

all: .venv/bin/ofxstatement .requirements.installed

.venv:
	virtualenv -p python3 --no-site-packages .venv

.venv/bin/ofxstatement: .venv setup.py
	$(PYTHON) setup.py develop

.requirements.installed: requirements.txt
	$(PIP) install -r requirements.txt
	touch .requirements.installed

test:
	$(BIN)/py.test --capture=no

=== debian/changelog ===
ofxstatement-plugins (20161204) unstable; urgency=medium

  * Updated ofxstatement-1822direkt and ofxstatement-be-kbc.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 04 Dec 2016 02:43:30 +0300

ofxstatement-plugins (20160920) unstable; urgency=medium

  * New pluging: ofxstatement-dab.

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 20 Sep 2016 17:25:21 +0300

=== debian/control ===
Source: ofxstatement-plugins
Section: misc
Priority: optional
Maintainer: Alexander GQ Gerasiov <gq@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools,
 ofxstatement,
 python3-appdirs,
 python3-mock,
Standards-Version: 3.9.8
Homepage: https://github.com/gerasiov/ofxstatement-plugins
Vcs-Git: https://github.com/gerasiov/ofxstatement-plugins
Vcs-Browser: https://github.com/gerasiov/ofxstatement-plugins

Package: ofxstatement-plugins
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: set of plugins for ofxstatement
 Most internet banking systems are capable of exporting account transactions to
 some sort of computer readable formats, but few supports standard data formats,
 like OFX. On the other hand, personal accounting tools, such as GnuCash support
 standard formats only, and will probably never support proprietary statement
 formats of online banking systems.
 .
 This package provides most of plugins referenced on ofxstatement's homepage:
 ofxstatement-1822direkt
 ofxstatement-alfabank
 ofxstatement-austrian
 ofxstatement-be-ing
 ofxstatement-be-kbc
 ofxstatement-be-keytrade
 ofxstatement-betterment
 ofxstatement-bubbas
 ofxstatement-czech
 ofxstatement-iso20022
 ofxstatement-latvian
 ofxstatement-lithuanian
 ofxstatement-mbank-sk
 ofxstatement-otp
 ofxstatement-paypal
 ofxstatement-polish
 ofxstatement-postfinance
 ofxstatement-russian
 ofxstatement-seb
 ofxstatement-simple
 ofxstatement-unicreditcz

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

export PYBUILD_NAME = ofxstatement-plugins

%:
	dh $@ --with python3

PLUGINS=$(wildcard ofxstatement-*)

plugin_clean_% : %
	cd $< && python3 setup.py clean
	rm -f $</$<.README.rst

plugin_build_% : %
	cd $< && python3 setup.py build
	test ! -e $</README.rst || cp $</README.rst $</$<.README.rst

plugin_install_% : %
	cd $< && python3 setup.py install \
		--force --root=$(CURDIR)/debian/ofxstatement-plugins \
		--no-compile -O0 --install-layout=deb
	test ! -e $</$<.README.rst || dh_installdocs $</$<.README.rst
	

plugin_test_% : %
	cd $< && python3 setup.py test


override_dh_auto_clean: $(addprefix plugin_clean_,$(PLUGINS))
	rm -rf ofxstatement-postfinance/build \
		ofxstatement-postfinance/src/ofxstatement_postfinance.egg-info
override_dh_auto_build: $(addprefix plugin_build_,$(PLUGINS))
override_dh_auto_install: $(addprefix plugin_install_,$(PLUGINS))
#override_dh_auto_test: $(addprefix plugin_test_,$(PLUGINS))

## ofxstatement-plugins 20170730

=== debian/changelog ===
ofxstatement-plugins (20170730) unstable; urgency=medium

  * debian/rules: Add sync target.
  * Add new plugins:
    + ofxstatement-is-arionbanki
    + ofxstatement-airbankcz
    + ofxstatement-raiffeisencz
  * Update submodules:
    + ofxstatement-russian
    + ofxstatement-austrian
    + ofxstatement-iso20022
    + ofxstatement-latvian
    + ofxstatement-mbank-sk
    + ofxstatement-polish
    + ofxstatement-unicreditcz
  * debian/copyright updated.
  * debian/control: Bump standard's version, no changes needed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 30 Jul 2017 01:19:17 +0300

ofxstatement-plugins (20170307) unstable; urgency=medium

  * Update submodules:
    + ofxstatement-1822direkt
    + ofxstatement-iso20022
    + ofxstatement-russian

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 07 Mar 2017 13:24:43 +0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  ofxstatement,
  python3-appdirs,
  python3-mock,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/gerasiov/ofxstatement-plugins
 Vcs-Git: https://github.com/gerasiov/ofxstatement-plugins
 Vcs-Browser: https://github.com/gerasiov/ofxstatement-plugins
@@ -43,3 +43,6 @@
  ofxstatement-seb
  ofxstatement-simple
  ofxstatement-unicreditcz
+ ofxstatement-is-arionbanki
+ ofxstatement-airbankcz
+ ofxstatement-raiffeisencz

=== debian/rules ===
--- 
+++ 
@@ -34,3 +34,8 @@
 override_dh_auto_install: $(addprefix plugin_install_,$(PLUGINS))
 #override_dh_auto_test: $(addprefix plugin_test_,$(PLUGINS))
 
+sync:
+	git submodule update --init
+	git submodule foreach git fetch
+	git submodule foreach git rebase origin/master
+	git commit ofxstatement-* -s -m "Update submodules" -m "$$(git submodule summary)"

## ofxstatement-plugins 20180128

=== ofxstatement-betterment/requirements.txt ===
ofxstatement>=0.5.0

=== ofxstatement-iso20022/Makefile ===
--- 
+++ 
@@ -16,3 +16,6 @@
 
 test:
 	$(BIN)/py.test --capture=no
+
+clean:
+	rm -r .venv .requirements.installed

=== debian/changelog ===
ofxstatement-plugins (20180128) unstable; urgency=medium

  * Update submodules:
    + ofxstatement-airbankcz
    + ofxstatement-iso20022
    + ofxstatement-unicreditcz
    + ofxstatement-czech
  * debian/copyright: ofxstatement-czech: Upstream fixed error in description,i
    license is GPL-3, not AGPL.
  * Add new plugin:
    + ofxstatement-be-triodos

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 28 Jan 2018 15:23:54 +0300

ofxstatement-plugins (20171023) unstable; urgency=medium

  * Update submodules:
    + ofxstatement-be-kbc
  * Bump Standards-Version to 4.1.1 (no additional changes needed).
  * Add debian/.gitignore.
  * Add debian/gbp.conf.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 23 Oct 2017 13:10:30 +0300

ofxstatement-plugins (20170827) unstable; urgency=medium

  * Fix .gitmodules
  * debian/rules: Do not install tests. Thanks to Chris Lamb <lamby@debian.org>. (Closes #862140.)
  * Bump Standards-Version to 4.1.0 (no additional changes needed).

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 27 Aug 2017 03:13:36 +0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  ofxstatement,
  python3-appdirs,
  python3-mock,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/gerasiov/ofxstatement-plugins
 Vcs-Git: https://github.com/gerasiov/ofxstatement-plugins
 Vcs-Browser: https://github.com/gerasiov/ofxstatement-plugins
@@ -23,14 +23,17 @@
  .
  This package provides most of plugins referenced on ofxstatement's homepage:
  ofxstatement-1822direkt
+ ofxstatement-airbankcz
  ofxstatement-alfabank
  ofxstatement-austrian
  ofxstatement-be-ing
  ofxstatement-be-kbc
  ofxstatement-be-keytrade
+ ofxstatement-be-triodos
  ofxstatement-betterment
  ofxstatement-bubbas
  ofxstatement-czech
+ ofxstatement-is-arionbanki
  ofxstatement-iso20022
  ofxstatement-latvian
  ofxstatement-lithuanian
@@ -39,10 +42,8 @@
  ofxstatement-paypal
  ofxstatement-polish
  ofxstatement-postfinance
+ ofxstatement-raiffeisencz
  ofxstatement-russian
  ofxstatement-seb
  ofxstatement-simple
  ofxstatement-unicreditcz
- ofxstatement-is-arionbanki
- ofxstatement-airbankcz
- ofxstatement-raiffeisencz

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,9 @@
 		--force --root=$(CURDIR)/debian/ofxstatement-plugins \
 		--no-compile -O0 --install-layout=deb
 	test ! -e $</$<.README.rst || dh_installdocs $</$<.README.rst
-	
+	# Don't install tests
+	find $(CURDIR)/debian/ofxstatement-plugins -type d -name 'tests' -print0 | \
+		xargs -0r rm -rf
 
 plugin_test_% : %
 	cd $< && python3 setup.py test

## ofxstatement-plugins 20180309~bpo9%2B1

=== debian/changelog ===
ofxstatement-plugins (20180309~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 08 Apr 2018 15:15:52 +0300

ofxstatement-plugins (20180309) unstable; urgency=medium

  * Add banking.statements.nordea and banking.statements.osuuspankki.
  * debian/copyright: Relicense ofxstatement-alfabank and ofxstatement-seb
    under MIT license.
  * New plugin ofxstatement-lfs.
  * Remove ofxstatement-alfabank plugin: superseded by ofxstatement-russian.
  * Update submodules:
    + ofxstatement-latvian
    + ofxstatement-paypal
    + ofxstatement-russian
    + ofxstatement-seb

 -- Alexander GQ Gerasiov <gq@debian.org>  Fri, 09 Mar 2018 22:37:55 +0300

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  ofxstatement,
  python3-appdirs,
  python3-mock,
+ python3-click,
 Standards-Version: 4.1.1
 Homepage: https://github.com/gerasiov/ofxstatement-plugins
 Vcs-Git: https://github.com/gerasiov/ofxstatement-plugins
@@ -24,7 +25,6 @@
  This package provides most of plugins referenced on ofxstatement's homepage:
  ofxstatement-1822direkt
  ofxstatement-airbankcz
- ofxstatement-alfabank
  ofxstatement-austrian
  ofxstatement-be-ing
  ofxstatement-be-kbc
@@ -36,6 +36,7 @@
  ofxstatement-is-arionbanki
  ofxstatement-iso20022
  ofxstatement-latvian
+ ofxstatement-lfs
  ofxstatement-lithuanian
  ofxstatement-mbank-sk
  ofxstatement-otp
@@ -47,3 +48,5 @@
  ofxstatement-seb
  ofxstatement-simple
  ofxstatement-unicreditcz
+ banking.statements.osuuspankki
+ banking.statements.nordea

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 %:
 	dh $@ --with python3
 
-PLUGINS=$(wildcard ofxstatement-*)
+PLUGINS=$(wildcard ofxstatement-*) $(wildcard banking.statements.*)
 
 plugin_clean_% : %
 	cd $< && python3 setup.py clean
@@ -40,4 +40,4 @@
 	git submodule update --init
 	git submodule foreach git fetch
 	git submodule foreach git rebase origin/master
-	git commit ofxstatement-* -s -m "Update submodules" -m "$$(git submodule summary)"
+	git commit ofxstatement-* banking.* -s -m "Update submodules" -m "$$(git submodule summary)"

## ofxstatement-plugins 20181208

=== debian/changelog ===
ofxstatement-plugins (20181208) unstable; urgency=high

  * d/changelog: Fix entries in previous version.
  * Update submodules
  * Update d/patches/ofxstatement-lansforsakringar.patch.
  * Disable ofxstatement-intesasp installation - plugin is broken.
  * d/rules: Do not install nspkg.pth files.
  * Urgency is high, cause package in testing is uninstallable.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sat, 08 Dec 2018 14:42:52 +0300

ofxstatement-plugins (20181202) unstable; urgency=medium

  * ofxstatement-be-ing: Change upstream channel.
  * New modules ofxstatement-fineco.
  * New modules ofxstatement-al_bank.
  * New modules ofxstatement-lansforsakringar.
  * New modules ofxstatement-intesasp.
  * ofxstatement-lfs, ofxstatement-seb and ofxstatement-paypal are moved to
    another upstream.
  * Update submodules:
    - ofxstatement-1822direkt
    - ofxstatement-be-kbc
    - ofxstatement-otp
    - ofxstatement-seb
    - ofxstatement-be-ing
  * d/copyright: Update ofxstatement-be-ing according to upstream change.
  * Add d/patches/ofxstatement-lansforsakringar.patch: Fixes build in non-UTF-8
    locale.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 02 Dec 2018 18:10:26 +0300

=== debian/control ===
--- 
+++ 
@@ -50,3 +50,6 @@
  ofxstatement-unicreditcz
  banking.statements.osuuspankki
  banking.statements.nordea
+ ofxstatement-fineco
+ ofxstatement-al_bank
+ ofxstatement-lansforsakringar

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,9 @@
 	# Don't install tests
 	find $(CURDIR)/debian/ofxstatement-plugins -type d -name 'tests' -print0 | \
 		xargs -0r rm -rf
+	# Don't install nspkg.pth
+	find $(CURDIR)/debian/ofxstatement-plugins -name '*-nspkg.pth' -print0 | \
+		xargs -0r rm -rf
 
 plugin_test_% : %
 	cd $< && python3 setup.py test

## ofxstatement-plugins 20181208+nmu1

=== debian/changelog ===
ofxstatement-plugins (20181208+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:53:18 +0800

## ofxstatement-plugins 20191114~bpo10%2B1

=== debian/changelog ===
ofxstatement-plugins (20191114~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 19 Nov 2019 10:29:44 +0300

ofxstatement-plugins (20191114) unstable; urgency=medium

  * Call pytest on plugin test.
  * wrap-and-sort on debian/
  * Update submodules:
    - ofxstatement-russian
    - ofxstatement-bubbas
  * Disable ofxstatement-paypal (it conflicts with ofxstatement-polish).

 -- Alexander GQ Gerasiov <gq@debian.org>  Thu, 14 Nov 2019 12:40:41 +0300

ofxstatement-plugins (20191113) unstable; urgency=medium

  * ofxstatement-1822direkt renamed to ofxstatement-germany
  * Add new plugin ofxstatement-de-triodos.
  * Add new plugin ofxstatement-consors.
  * Add new plugin ofxstatement-be-argenta.
  * Add new plugin ofxstatement-de-ing.
  * Update submodules:
    - banking.statements.nordea
    - banking.statements.osuuspankki
    - ofxstatement-airbankcz
    - ofxstatement-austrian
    - ofxstatement-be-ing
    - ofxstatement-be-triodos
    - ofxstatement-intesasp
    - ofxstatement-lansforsakringar
    - ofxstatement-raiffeisencz
    - ofxstatement-russian
    - ofxstatement-seb
  * Revert "Disable ofxstatement-intesasp installation - plugin is broken."
  * d/copyright: Syntax fixup (FIles->Files).
  * debian/control: Fix dependencies.
  * debian/rules, debian/patches: Enable autotests.
  * Add 02-be-argenta-do-not-install-script.patch.

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 13 Nov 2019 18:16:47 +0300

## ofxstatement-plugins 20191114

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,19 @@
 Section: misc
 Priority: optional
 Maintainer: Alexander GQ Gerasiov <gq@debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools,
- ofxstatement,
- python3-appdirs,
- python3-mock,
- python3-click,
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               ofxstatement,
+               python3-all,
+               python3-appdirs,
+               python3-click,
+               python3-mock,
+               python3-openpyxl,
+               python3-pytest,
+               python3-pytest-runner,
+               python3-setuptools,
+               python3-xlrd,
+               quilt
 Standards-Version: 4.1.1
 Homepage: https://github.com/gerasiov/ofxstatement-plugins
 Vcs-Git: https://github.com/gerasiov/ofxstatement-plugins
@@ -14,7 +22,7 @@
 
 Package: ofxstatement-plugins
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Description: set of plugins for ofxstatement
  Most internet banking systems are capable of exporting account transactions to
  some sort of computer readable formats, but few supports standard data formats,
@@ -23,16 +31,21 @@
  formats of online banking systems.
  .
  This package provides most of plugins referenced on ofxstatement's homepage:
- ofxstatement-1822direkt
+ ofxstatement-germany
  ofxstatement-airbankcz
  ofxstatement-austrian
+ ofxstatement-be-argenta
  ofxstatement-be-ing
  ofxstatement-be-kbc
  ofxstatement-be-keytrade
  ofxstatement-be-triodos
  ofxstatement-betterment
  ofxstatement-bubbas
+ ofxstatement-de-ing
+ ofxstatement-de-triodos
+ ofxstatement-consors
  ofxstatement-czech
+ ofxstatement-intesasp
  ofxstatement-is-arionbanki
  ofxstatement-iso20022
  ofxstatement-latvian

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_NAME = ofxstatement-plugins
 
 %:
-	dh $@ --with python3
+	dh $@ --with python3,quilt
 
 PLUGINS=$(wildcard ofxstatement-*) $(wildcard banking.statements.*)
 
@@ -30,6 +30,11 @@
 
 plugin_test_% : %
 	cd $< && python3 setup.py test
+	# run pytest with doctest and ignore exit code 5 (no tests found)
+	cd $< && PYTEST_ADDOPTS=--doctest-modules python3 setup.py pytest; \
+		PYTEST_RESULT=$$?; \
+		test $$PYTEST_RESULT -eq 5 && exit 0; \
+		exit $$PYTEST_RESULT
 
 
 override_dh_auto_clean: $(addprefix plugin_clean_,$(PLUGINS))
@@ -37,7 +42,7 @@
 		ofxstatement-postfinance/src/ofxstatement_postfinance.egg-info
 override_dh_auto_build: $(addprefix plugin_build_,$(PLUGINS))
 override_dh_auto_install: $(addprefix plugin_install_,$(PLUGINS))
-#override_dh_auto_test: $(addprefix plugin_test_,$(PLUGINS))
+override_dh_auto_test: $(addprefix plugin_test_,$(PLUGINS))
 
 sync:
 	git submodule update --init

## ofxstatement-plugins 20200505

=== ofxstatement-iso20022/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 all: .venv/bin/ofxstatement .requirements.installed
 
 .venv:
-	virtualenv -p python3 --no-site-packages .venv
+	python3 -m venv .venv
 
 .venv/bin/ofxstatement: .venv setup.py
 	$(PYTHON) setup.py develop

=== debian/changelog ===
ofxstatement-plugins (20200505) unstable; urgency=medium

  * Update submodules
    * ofxstatement-de-triodos f7a457d...8aef762 (1):
      > Fix typo BE->DE
    * ofxstatement-iso20022 0ebc9a2...7190e5f (3):
      > Modernize dev environment
      > Test for newer python versions
      > Merge pull request #2 from peahonen/master
    * ofxstatement-otp 8ef690d...195f6a6 (2):
      > Bump version 0.0.2 -> 0.0.3
      > Merge pull request #2 from gyp/master
    * ofxstatement-raiffeisencz 824573d...669bc25 (2):
      > Updated .memo and .payee string handling
      > Excluded .date_user from mappings and convert to date manually
    * ofxstatement-unicreditcz 91fe3c6...2881736 (55):
      > Corrected .memo string handling
      > Modified string manipulation for .memo and .payee
      > Added description of how GnuCash assigns OFX fields. Modified .payee
        and .memo field mapping
      > Updated git describe
      > Added a script with example of setup and test of the plugin.
      > Updated README.rst with the new CSV format
      > Update of date format 2019 CSV format
      > Updated description of CSV structure
      > Updated for CSV format of year 2019
      > Added unicreditcz18.py
  * Fix errors in autotests with ofxstatement 0.6.4 (Closes: #955665):
    - ofxstatement-austrian
    - ofxstatement-betterment
    - ofxstatement-bubbas
    - ofxstatement-iso20022
    - ofxstatement-lithuanian
  * d/control: Switch to debhelper 12.
  * d/copyright: Fixes tab-in-license-text warning.
  * d/control: Bump Standards-Version.
  * d/control: Set minimal suitable version of ofxstatement.

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 05 May 2020 12:26:15 +0300

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: misc
 Priority: optional
 Maintainer: Alexander GQ Gerasiov <gq@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               ofxstatement,
+               ofxstatement (>= 0.6.4),
                python3-all,
                python3-appdirs,
                python3-click,
@@ -15,7 +15,7 @@
                python3-setuptools,
                python3-xlrd,
                quilt
-Standards-Version: 4.1.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/gerasiov/ofxstatement-plugins
 Vcs-Git: https://github.com/gerasiov/ofxstatement-plugins
 Vcs-Browser: https://github.com/gerasiov/ofxstatement-plugins

## ofxstatement-plugins 20210310

=== _ofxstatement-germany/Makefile ===
PYTHON=.venv/bin/python

all: PYTHON

PYTHON: setup.py
	-rm -r .venv
	virtualenv --clear --python python3 .venv
	$(PYTHON) setup.py develop

=== ofxstatement-betterment/Makefile ===
.PHONY: clean-pyc clean-build docs clean

help:
	@echo "clean - remove all build, test, coverage and Python artifacts"
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "clean-test - remove test and coverage artifacts"
	@echo "lint - check style with flake8"
	@echo "test - run tests quickly with the default Python"
	@echo "test-all - run tests on every Python version with tox"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "docs - generate Sphinx HTML documentation, including API docs"
	@echo "release - package and upload a release"
	@echo "dist - package"
	@echo "install - install the package to the active Python's site-packages"

clean: clean-build clean-pyc clean-test

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test:
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/

lint:
	flake8 ofxstatement tests

test:
	python setup.py test

test-all:
	tox

coverage:
	coverage run --source ofxstatement setup.py test
	coverage report -m
	coverage html
	see htmlcov/index.html

release: clean
	python setup.py sdist upload
	python setup.py bdist_wheel upload

dist: clean
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean
	python setup.py install

=== ofxstatement-iso20022/Makefile ===
all: test mypy black

.PHONY: test
test:
	pytest

.PHONY: mypy
mypy:
	mypy src tests

.PHONY: black
black:
	black src tests setup.py

=== ofxstatement-lithuanian/Makefile ===
all: test mypy black

.PHONY: test
test:
	pytest

.PHONY: mypy
mypy:
	mypy src

.PHONY: black
black:
	black src setup.py

=== ofxstatement-mbank-sk/Makefile ===
PYTHON=.venv/bin/python

all: PYTHON

PYTHON: setup.py
	virtualenv -p python3 --no-site-packages .venv
	$(PYTHON) setup.py develop

test:
	@ofxstatement convert -t mbank.sk mKonto_01627828_900501_150612.csv  mbank-sk.ofx

=== ofxstatement-seb/requirements.txt ===
openpyxl>=2.3.3
ofxstatement>=0.5.0
click>=6.6

=== debian/changelog ===
ofxstatement-plugins (20210310) unstable; urgency=medium

  * d/rules: Disable autotests because of tecnical FTBFS. (Closes: #982704)

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 10 Mar 2021 11:15:48 +0300

ofxstatement-plugins (20210108) unstable; urgency=medium

  * ofxstatement-czech: updated url
  * Update submodules
    * ofxstatement-al_bank bccaa37...19a3361 (3):
      > Version 0.2.1
      > Calculate end balance for file
      > Only attempt to parse date when it is a string

    * ofxstatement-austrian 269c6df...5ab8068 (3):
      > Remove version pinning for coverage
      > Update Python versions in use
      > Merge branch 'gerasiov-master'

    * ofxstatement-be-kbc 4f6da52...cb6f95b (1):
      > Use statement validation

    * ofxstatement-betterment a7111c6...8439562 (2):
      > I guess Python 3.3 isn't on Travis anymore...
      > Merge pull request #3 from gerasiov/master

    * ofxstatement-bubbas e5ceb74...69eb2e9 (1):
      > Merge pull request #5 from gerasiov/master

    * ofxstatement-consors 83463f6...593cc56 (1):
      > Add payee to mapping

    * ofxstatement-fineco a351d0c...f27d7cc (14):
      > increase version number
      > fix issue #7: updated the cards template
      > fix a huge slip in checking savings_legacy tpl
      > increase version number and comment about backward compatibility
      > shift columns for savings_legacy tpl
      > allow outcome input var to be negative as in the new savings template
      > adding the position of the cell holding the account id to the template
        arrays
      > shifiting columns position according to the new savings template
      > address variable account_id_str position between savings templates
      > extra_field revised in the new savings template
      > checking for extra_field in every tpl that has it set
      > new savings sheet template added. renamed the old one for backward
        compatibility
      > fix issue #5: deal with xls dates only if needed
      > Merge pull request #4 from MarcoBuster/master

    * ofxstatement-iso20022 4397952...7319c27 (10):
      > Back to development: 0.5.1
      > Preparing release 0.5.0
      > Blacken test sources
      > Add type annotations
      > Integrate mypy
      > Blacken source code
      > Integrate black
      > Merge pull request #6 from kedder/pipenv
      > Test for python3.8 too
      > Merge pull request #5 from gerasiov/master

    * ofxstatement-lithuanian 509926d...b23145b (19):
      > Back to development: 1.2.1
      > Preparing release 1.2.0
      > Properly filter out lines with different currencies
      > Back to development: 1.1.3
      > Preparing release 1.1.2
      > Restore test for litas-esis plugin
      > Restore test for danske plugin
      > Restore testing for swedbank plugin
      > Do not read input two times
      > Back to development: 1.1.1
      > Preparing release 1.1.0
      > Require newest ofxstatement
      > Update to newly-released ofxstatement
      > Add type annotations
      > Blacken source code
      > Integrate black
      > Integrate mypy
      > Use pipenv to manage dev environment
      > Merge pull request #1 from gerasiov/master

    * ofxstatement-otp 195f6a6...b630d58 (7):
      > Bumped version to 0.0.6
      > do not default missing statement values to 0
      > Switch to pipenv for dev environment management
      > Bump version 0.0.4 --> 0.0.5
      > fixed the handling ampersands in the comment
      > Bump version 0.0.3 --> 0.0.4
      > generating a unique ID as they are now mandatory

    * ofxstatement-russian 3167cb3...5c4e1d3 (1):
      > Support ofxstatement >=0.6.5, where statement line id is mandatory now

  * Add 04-fix-ofxstatement-6.5+-compatibility.patch (Closes: #971127).
  * Add 05-fix-interpreter.patch: Fix interpreter in intesaSP plugin.
  * d/control: Require ofxstatement 0.7.1  

 -- Alexander GQ Gerasiov <gq@debian.org>  Fri, 08 Jan 2021 16:18:27 +0300

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,10 @@
 		ofxstatement-postfinance/src/ofxstatement_postfinance.egg-info
 override_dh_auto_build: $(addprefix plugin_build_,$(PLUGINS))
 override_dh_auto_install: $(addprefix plugin_install_,$(PLUGINS))
+
+ifdef RUN_AUTOTESTS
 override_dh_auto_test: $(addprefix plugin_test_,$(PLUGINS))
+endif
 
 sync:
 	git submodule update --init

## ofxstatement-plugins 20210310%2Bnmu1

=== ofxstatement-simple/requirements.txt ===
wheel==0.23.0
ofxstatement>=0.5.0

## ofxstatement-plugins 20210310+nmu1

=== ofxstatement-airbankcz/Makefile ===
PYTHON=.venv/bin/python

all: PYTHON

PYTHON: setup.py
	virtualenv -p python3 --no-site-packages .venv
	$(PYTHON) setup.py develop

=== ofxstatement-otp/Makefile ===
all: test mypy black

PHONY: test
test:
	pytest

PHONY: coverage
coverage: bin/pytest
	pytest --cov src/ofxstatement

.PHONY: black
black:
	black setup.py src tests

.PHONY: mypy
mypy:
	mypy src tests

=== ofxstatement-russian/requirements.txt ===
ofxstatement==0.7.1

# test deps
pytest==6.1.2

=== debian/changelog ===
ofxstatement-plugins (20210310+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Support setuptools 60. (Closes: #1022310)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 05 Nov 2022 18:36:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Alexander GQ Gerasiov <gq@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
-               ofxstatement (>= 0.6.4),
+               ofxstatement (>= 0.7.1),
                python3-all,
                python3-appdirs,
                python3-click,

## ofxstatement-plugins 20210310+nmu2

=== _ofxstatement-paypal/requirements.txt ===
ofxstatement>=0.5.0
click>=6.6

=== ofxstatement-be-argenta/requirements.txt ===
openpyxl>=2.6.2
ofxstatement>=0.6.1
click>=6.7

=== ofxstatement-betterment/requirements.txt ===
ofxstatement>=0.6.4

=== ofxstatement-de-ing/Makefile ===
PYTHON=.venv/bin/python

all: PYTHON

PYTHON: setup.py
	virtualenv -p python3 --no-site-packages .venv
	$(PYTHON) -m pip install pylint
	$(PYTHON) -m pip install mock
	$(PYTHON) setup.py develop

=== ofxstatement-lfs/Makefile ===
VERSION := 0.0.1
SOURCES := $(shell find $(CURDIR) -name '*.py')

.PHONY: all
all: dist

.PHONY: gen
gen: requirements.txt

.PHONY: clean
clean:
	rm -rf dist

.PHONY: dist
dist: dist/ofxstatement-lfs-$(VERSION).tar.gz

.PHONY: install
install: dist/ofxstatement-lfs-$(VERSION).tar.gz
	pip3 install $<

.PHONY: docker
docker: dist
	docker build -t local/ofxstatement-lfs:$(VERSION) .

dist/ofxstatement-lfs-$(VERSION).tar.gz: $(SOURCES) requirements.txt
	python3 setup.py sdist

#
# Naive attempt to freeze the *whole* dependency graph instead of the
# top ones only.
#
requirements.txt: requirements.in
	pip-compile --output-file $@ $<

=== ofxstatement-lfs/requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file requirements.txt requirements.in
#
appdirs==1.4.3            # via ofxstatement
ofxstatement==0.6.1
xlrd==1.1.0

=== debian/changelog ===
ofxstatement-plugins (20210310+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove extraneous dependency on python3-appdirs (Closes: #1067976)
  * Remove extraneous dependency on python3-mock (Closes: #1068405)
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Wed, 20 Nov 2024 11:58:23 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,14 @@
                dh-python,
                ofxstatement (>= 0.7.1),
                python3-all,
-               python3-appdirs,
                python3-click,
-               python3-mock,
                python3-openpyxl,
                python3-pytest,
                python3-pytest-runner,
                python3-setuptools,
                python3-xlrd,
                quilt
+Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Homepage: https://github.com/gerasiov/ofxstatement-plugins
 Vcs-Git: https://github.com/gerasiov/ofxstatement-plugins

## ofxstatement-plugins 20210310+nmu2build1

=== debian/changelog ===
ofxstatement-plugins (20210310+nmu2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Jan 2026 20:30:41 +0000

## ofxstatement-plugins 20210310+nmu3

=== debian/changelog ===
ofxstatement-plugins (20210310+nmu3-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * This is a "3.0 (quilt)" archive, clean up d/rules, drop dep on quilt
  * Drop "Rules-Requires-Root: no": this is now the default

 -- Alexandre Detiste <tchet@debian.org>  Sat, 28 Feb 2026 21:47:21 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alexander GQ Gerasiov <gq@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               dh-python,
+               dh-sequence-python3,
                ofxstatement (>= 0.7.1),
                python3-all,
                python3-click,
@@ -12,8 +12,6 @@
                python3-pytest-runner,
                python3-setuptools,
                python3-xlrd,
-               quilt
-Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Homepage: https://github.com/gerasiov/ofxstatement-plugins
 Vcs-Git: https://github.com/gerasiov/ofxstatement-plugins

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_NAME = ofxstatement-plugins
 
 %:
-	dh $@ --with python3,quilt
+	dh $@
 
 PLUGINS=$(wildcard ofxstatement-*) $(wildcard banking.statements.*)
